Subject: [PATCH v4 4/4] OMAP3: DMA: Errata i541: sDMA FIFO draining does not finish

From: [email-masked] (Tony Lindgren)
Date: Mon, 4 Oct 2010 09:55:16 -0700

* Peter Ujfalusi <[email-masked]> [101004 03:33]:
> On Monday 04 October 2010 12:17:41 ext G, Manjunath Kondaiah wrote:
> > 
> > ...
> > 
> > > +	/* OMAP3 Errata i541: sDMA FIFO draining does not finish */
> > 
> > This logic is required for multiple erratas.
> 
> As Tony requested, I have added a variable for flags to handle the different 
> erratas. I even added a macro to check that the errata applies, so one can use:
> if (IS_DMA_ERRATA(DMA_ERRATA_XXXXX))
> 
> > Can we have seperate
> > function for handling this logic. More details at:
> > https://patchwork.kernel.org/patch/126271/
> 
> I see. That patch is for hwmod converted dma code, right?
> We need this fix without the hwmod to applied, and than backport it to earlier 
> kernel releases.
> 
> > As I mentioned in other mail, if you are introducing this feature,
> > it is better to convert existing erratas also to use this feature.
> 
> The upcoming hwmod conversion will take care of the cleanup.
> We _need_ these two small fixes ASAP, since it is fixing serious problem in 
> audio (and the same issue might bite other areas as well).
> It is not the intention of this series to clean up the arc/arm/plat-omap/dma.c.
> 
> I have added the dma_errata variable, since Tony asked for it, but even that 
> addition is a bigger change than what I was planning to do here.

Yeah.. Let's just use your original patch for the fix, then queue
adding the errata flag for the upcoming merge window.

Regards,

Tony